<p style="color: green"><%= notice %></p>

<h1>Quotations</h1>

<%= form_tag(quotations_path, method: "get") do %>
  <div class="search-block">
    <%= text_field_tag :search, params[:search], placeholder: "Search", class: "search-field" %>
    <%= submit_tag("Search", class: "search-button") %>
    <%= link_to 'Export', export_quotations_path(format: :csv), class: 'export-button' %>
  </div>
<% end %>

<%= link_to "Add new quotation", new_quotation_path, class: "add-new-button" %>

<div id="quotations">
  <% @quotations.each do |quotation| %>
    <div class="quotation-box">
    <p>
      <%= link_to quotation.quote, quotation %>
    </p>
    <p>
      <%= quotation.author %>
    </p>
    <p><%= quotation.date %></p>
    <p><%= quotation.category.name %></p>
    </p>
    </div>
  <% end %>
</div>

<style>
.search-block {
  display: flex;
  margin-bottom: 1rem;s
}

.search-field {
  border-radius: 0.5rem;
  height: 2rem;
  margin-right: 1rem;
  padding: 0.25rem 0.5rem;
  width: 25rem;
}

.search-button, .add-new-button, .export-button {
  background: #0d6efd;
  border: none;
  border-radius: 0.5rem;
  color: white;
  cursor: pointer;
  font-weight: 800;
  padding: 0.25rem 1rem;
  text-transform: uppercase;
  width: fit-content;
}

.add-new-button, .export-button {
  display: block;
  padding: 0.75rem;
  height: auto;
  text-transform: none;
  text-decoration: none;
}

.export-button {
  background: green;
  margin-left: 1rem;
  text-transform: uppercase;
}

.quotation-box {
  box-shadow: 0px 0px 10px grey;
  padding: 0.75rem;
  margin-top: 1rem;
}
</style>
